Subject: Re: bug#63312: 29.0.90; set-frame-parameter sometimes called with dead frame when quitting ediff
From: Po Lu <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 06 May 2023 20:01:53 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Po Lu <[email-masked]>
>> Cc: Tobias Bading <[email-masked]>,  [email-masked]
>> Date: Sat, 06 May 2023 19:12:51 +0800
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > Not really, because there could be other functions on the hook
>> > variable, which do deal well with a dead frame.
>> >
>> > Po Lu, any objections to installing my proposed change?
>> 
>> Please install on emacs-29, thanks.  This hook should not be called with
>> a dead frame though, and Martin proposed a fix for that which was
>> installed last year, so I will continue to investigate on master.
>
> Done.  Should I close this bug now, or do you want it to stay open?

I've just closed it, since what remains to be fixed is really another
problem.  Thanks.